<div [ngClass]="[jds.mt(30), jds.mb(70), jds.mx(0)]">
  <div [ngClass]="jds.container">
    <app-header-log-activity
      [label]="label"
      (filterOutputDate)="filterDate($event)"
    />

    <app-tab-log-activity
      [filterDateStart]="filter.dateStart"
      [filterDateEnd]="filter.dateEnd"
      (filterOutputStatus)="filterStatus($event)"
      (filterOutputSearch)="filterSearch($event)"
      (filterOutputData)="filterData($event)"
    />

    <ng-container *ngIf="filter.status === 'login'">
      <app-list-log-activity-login [filterInput]="filter" />
    </ng-container>

    <ng-container *ngIf="filter.status === 'page'">
      <app-list-log-activity-page [filterInput]="filter" />
    </ng-container>

    <ng-container *ngIf="filter.status === 'view'">
      <app-list-log-activity-view [filterInput]="filter" />
    </ng-container>

    <ng-container *ngIf="filter.status === 'access'">
      <app-list-log-activity-access [filterInput]="filter" />
    </ng-container>
  </div>
</div>
